\documentclass[../Documentation_Bern_RTOS_PAI]{subfiles}

\begin{document}
\begin{tikzpicture}[bern_rtos_style]
    \node[level] (sched) {Scheduler};
    \node[level, below = \tasklevelsep of sched.south west, anchor=north west] (prio_0) {Priority 0};

    \node[task, right = \taskfirstsep of prio_0, minimum width = 2.5*\taskunit] (t_1) {T1};
    \node[task] (sched_0) at (sched -| t_1.east) {};
    \node[task, minimum width = 2*\taskunit] at (prio_0 -| sched_0.east) (t_2) {T2};
    \node[task] (sched_1) at (sched -| t_2.east) {};
    \node[task, minimum width = 3.5*\taskunit] at (prio_0 -| sched_1.east) (t_3) {T3};
    \node[task] (sched_2) at (sched -| t_3.east) {};
    \node[task, minimum width = 1*\taskunit] at (prio_0 -| sched_2.east) (t_4) {T1};

    \path[->] 
        (t_1.north east) edge node {yield} (sched_0.south west)
        (sched_0.south east) edge (t_2.north west)
        (t_2.north east) edge node {yield} (sched_1.south west)
        (sched_1.south east) edge (t_3.north west)
        (t_3.north east) edge node {yield} (sched_2.south west)
        (sched_2.south east) edge (t_4.north west);
    \end{tikzpicture}
\end{document}